using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiWu.GysJsd
{
    public partial class W_GysJsd 
    {
        public W_GysJsd()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            dw_hz.Retrieve();
            A8erp.Core.Common.AddReportService(dw_hz);

            DataWindowChild dwc;
            dwc = dw_hz.GetChild("fkfs");
            dwc.SetTransaction(this.AdoTransaction);
            dwc.Retrieve("skfs");       // 订单方式的下拉框。
    
            this.SetParm("curQxStr", base.GnqxStr);
            this.SetParm("curYhbh", AppService.GetUserID());
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_GysJsd_Edit", "/CaiWu/GysJsd/W_GysJsd_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());

                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryNewBase", "/DangAn/Base/OpenWindowQueryNewBase.win.js?a=" + new DateTime());
            }
            this.IsRegisterScriptFile = false;


            //--------------------打印----------------------------
            this.SetParm("curFunctionId", this.FunctionID);
            dw_print.AllowCreate = true;
            dw_print.AllowRetrieve = true;
            dw_print.AllowSetFullState = true;
            dw_proxy.AllowCreate = true;
            dw_proxy.AllowRetrieve = true;
            dw_proxy.AllowSetFullState = true;
            dw_print.AllowUpdate = true;
            this.SetParm("curUserId", AppService.GetUserID().ToString());
            this.SetParm("curJqm", AppService.GetJqm());
            this.SetParm("dw_yw_cg_top_title_value", "供应商结算单"); 
  

            this.SetParm("curUserGroupId", AppService.GetUser().GroupId);//权限组
            //--------------------打印结束-------------------------
        }
    }
}
